/*
 * **************************************************************************************
 * Copyright (C) 2021 FoE-Helper team - All Rights Reserved
 * You may use, distribute and modify this code under the
 * terms of the AGPL license.
 *
 * See file LICENSE.md or go to
 * https://github.com/mainIine/foe-helfer-extension/blob/master/LICENSE.md
 * for full license details.
 *
 * **************************************************************************************
 */


/* Box */
#greatbuildings {
	top: 30%;
	right: 15%;
	width: 700px;
	height: 700px;
}

#greatbuildings #greatbuildingsBody {
	overflow-x: hidden;
	overflow-y: auto;
}

#greatbuildings #greatbuildingsBody strong.success {
	color: var(--text-success);
}

.text-bright {
    color: var(--text-bright);
}

#greatbuildings .title {
    font-size: 115%;
}

#greatbuildings .header {
    margin-bottom: 2px;
    padding: 1em 0;
}

#greatbuildings #greatbuildingsBody table th {
	position: sticky;
	top: 0;
	cursor: pointer;
	z-index: 1;
	font-size: 85%;
}

#greatbuildings #greatbuildingsBody td {
	position: relative;
	font-size: 85%;
}

#greatbuildings #greatbuildingsBody .foe-table tr:first-child td:nth-child(5) strong {
    color: var(--text-success);
}

#greatbuildings #greatbuildingsBody strong.player-name {
	display: block;
	white-space: nowrap;
	color: var(--text-bright);
	margin: 0 10px;
}

#greatbuildings #greatbuildingsBody .gbmainrow td {
	padding: 0.3rem 5px;
}

#greatbuildings #greatbuildingsBody .gbmainrow td:last-child {
	background-image: url('../../../../css/images/hud/chevron-left.svg');
	background-size: 20px 20px;
	background-position: center right;
	background-repeat: no-repeat;
	min-width: 4px;
}

#greatbuildings #greatbuildingsBody .gbmainrow.active td:last-child {
	background-image: url('../../../../css/images/hud/chevron-down.svg');
}